Bug 606765 - Can not select packages in additional repositories
Summary: Can not select packages in additional repositories
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks: 582286
TreeView+ depends on / blocked
 
Reported: 2010-06-22 12:43 UTC by Marian Ganisin
Modified: 2010-11-10 19:48 UTC (History)
6 users (show)

Fixed In Version: anaconda-13.21.54-1
Doc Type: Bug Fix
Doc Text:
Enabling additional repositories does in anaconda at install time is not possible in Red Hat Enterprise Linux 6 Beta 2. Additional repositories need to be enabled post installation, using: yum --enablerepo=<add on repo name> install <package>
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 19:48:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation log files (220.00 KB, application/x-tar)
2010-06-22 12:43 UTC, Marian Ganisin
no flags Details

Description Marian Ganisin 2010-06-22 12:43:49 UTC
Created attachment 425907 [details]
Installation log files

Description of problem:
I started manual graphical installation, on appropriate screen I marked additional repositories (ClusteredStorage, HighAvailability, LoadBalance) and selected 'Customize now' option.

I can't find new categories/groups/packages on next screen.

Version-Release number of selected component (if applicable):
RHEL6.0-20100621.0
anaconda-13.21.50-9.el6.i686

Comment 1 Denise Dumas 2010-06-22 13:43:31 UTC
<dcantrell> k1: for 606765, check the comps file for the addon repo you want to test and find a package that is unique to that repo, then identify it's group.  during installation, enable that repo and then check to see that it appears in the group you read in the comps file

Comment 2 Marian Ganisin 2010-06-22 13:57:21 UTC
LoadBalance define category "Load Balancing" and group "Load Balancing" containing packages ipvsadm and piranha. These items are not available in installer.

Comment 3 David Cantrell 2010-06-22 15:56:59 UTC
We have determined the problem, but deem it not worth blocking beta 2 for.  A standard installation will give users the base RHEL variant they choose.  The redhat-release package will deliver yum repo configuration files for the addons.  After installation, users can use yum with the --enablerepo option to install the addon they want.

We will fix this issue in snapshot 7.

Comment 4 Bill Nottingham 2010-06-22 16:10:43 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
In Beta 2 <replace with proper name>, installation of Add-Ons does not work in anaconda. To install packages from Add-Ons, use 'yum --enablerepo=<add on repo name> install <package>'.

Comment 5 Suzanne Yeghiayan 2010-06-22 16:16:41 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-In Beta 2 <replace with proper name>, installation of Add-Ons does not work in anaconda. To install packages from Add-Ons, use 'yum --enablerepo=<add on repo name> install <package>'.+In Beta Refresh, installation of Add-Ons does not work in anaconda. To install packages from Add-Ons, use 'yum --enablerepo=<add on repo name> install <package>'.

Comment 7 Ryan Lerch 2010-06-24 23:15:21 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,3 @@
-In Beta Refresh, installation of Add-Ons does not work in anaconda. To install packages from Add-Ons, use 'yum --enablerepo=<add on repo name> install <package>'.+Enabling additional repositories does in anaconda at install time is not possible in Red Hat Enterprise Linux 6 Beta 2. Additional repositories need to be enabled post installation, using:
+
+	yum --enablerepo=<add on repo name> install <package>

Comment 9 Alexander Todorov 2010-07-01 13:30:53 UTC
With the 0630 nightly which has anaconda-13.21.55-1.el6 I selected all 4 add-on repositories for the Server variant. After selecting customize packages the UI showed all additional groups and packages associated with them. In particular the Load Balancing group was shown and I was able to select the piranha package.

Installation completed successfully. The rhel-beta.repo file provides yum repositories to match the add-on repositories in anaconda. Moving to VERIFIED.

Comment 10 releng-rhel@redhat.com 2010-11-10 19:48:59 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.